Bug 123507 - kernel panic when compiling the new kde 3.2
kernel panic when compiling the new kde 3.2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-18 17:51 EDT by marc vergalle
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:27:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description marc vergalle 2004-05-18 17:51:50 EDT
Description of problem: kernel panic (signal 11) when compiling KDE 
3.2 
 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: always 
 
 
Steps to Reproduce: 
1. compiling KDE with konstruct 
2. 
3. 
   
Actual results: Error 1 
 
 
Expected results: No errors 
 
 
Additional info:
Comment 1 marc vergalle 2004-05-18 17:52:40 EDT
make[6]: Binnengaan van map 
`/bestanden/konstruct/kde/kdesdk/work/kdesdk-3.2.2/poxml/antlr/src' 
creating libantlr_la.all_cpp.cpp ... 
if /bin/sh ../../../libtool --silent --mode=compile --tag=CXX g++ 
-DHAVE_CONFIG_H -I. -I. -I../../.. -I./..  -DQT_THREAD_SUPPORT 
-I/root/kde3.2.2/include -I/usr/X11R6/include -D_REENTRANT  
-Wnon-virtual-dtor -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 
-D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -Wall -W 
-Wpointer-arith -Wwrite-strings -O2 -I/root/kde3.2.2/include 
-I/usr/X11R6/include -L/root/kde3.2.2/lib -L/usr/X11R6/lib -O2 -pipe 
-Wformat-security -Wmissing-format-attribute -fno-exceptions 
-fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST 
-DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION -fexceptions -MT 
libantlr_la.all_cpp.lo -MD -MP -MF ".deps/libantlr_la.all_cpp.Tpo" 
-c -o libantlr_la.all_cpp.lo libantlr_la.all_cpp.cpp; \ 
then mv -f ".deps/libantlr_la.all_cpp.Tpo" 
".deps/libantlr_la.all_cpp.Plo"; else rm -f 
".deps/libantlr_la.all_cpp.Tpo"; exit 1; fi 
In file included from libantlr_la.all_cpp.cpp:5: 
BaseAST.cpp: In member function `virtual void 
antlr::BaseAST::setText(const 
   std::string&)': 
BaseAST.cpp:254: warning: unused parameter `const std::string&txt' 
BaseAST.cpp: In member function `virtual void 
antlr::BaseAST::setType(int)': 
BaseAST.cpp:258: warning: unused parameter `int type' 
In file included from libantlr_la.all_cpp.cpp:16: 
MismatchedCharException.cpp: In member function ` 
   antlr::MismatchedCharException::MismatchedCharException(const 
std::string&, 
   int)': 
MismatchedCharException.cpp:98: warning: unused parameter `int line' 
In file included from libantlr_la.all_cpp.cpp:24: 
Token.cpp: In member function `virtual void 
antlr::Token::setColumn(int)': 
Token.cpp:76: warning: unused parameter `int c' 
Token.cpp: In member function `virtual void 
antlr::Token::setLine(int)': 
Token.cpp:79: warning: unused parameter `int l' 
Token.cpp: In member function `virtual void 
antlr::Token::setText(const 
   std::string&)': 
Token.cpp:82: warning: unused parameter `const std::string&t' 
In file included from libantlr_la.all_cpp.cpp:27: 
TokenStreamHiddenTokenFilter.cpp: In member function 
`antlr::RefToken 
   antlr::TokenStreamHiddenTokenFilter::LA(int)': 
TokenStreamHiddenTokenFilter.cpp:95: warning: unused parameter `int 
i' 
In file included from libantlr_la.all_cpp.cpp:29: 
TreeParser.cpp: In member function `void 
   antlr::TreeParser::matchNot(antlr::ASTRefCount<antlr::AST>, 
int)': 
TreeParser.cpp:96: internal compiler error: Segmentation fault 
Please submit a full bug report, 
with preprocessed source if appropriate. 
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions. 
The bug is not reproduceable, so it is likely a hardware or OS 
problem 
make[6]: *** [libantlr_la.all_cpp.lo] Fout 1 
make[6]: Weggaan uit map 
`/bestanden/konstruct/kde/kdesdk/work/kdesdk-3.2.2/poxml/antlr/src' 
make[5]: *** [all-recursive] Fout 1 
make[5]: Weggaan uit map 
`/bestanden/konstruct/kde/kdesdk/work/kdesdk-3.2.2/poxml/antlr' 
make[4]: *** [all-recursive] Fout 1 
make[4]: Weggaan uit map 
`/bestanden/konstruct/kde/kdesdk/work/kdesdk-3.2.2/poxml' 
make[3]: *** [all-recursive] Fout 1 
make[3]: Weggaan uit map 
`/bestanden/konstruct/kde/kdesdk/work/kdesdk-3.2.2' 
make[2]: *** [all] Fout 2 
make[2]: Weggaan uit map 
`/bestanden/konstruct/kde/kdesdk/work/kdesdk-3.2.2' 
make[1]: *** [build-work/kdesdk-3.2.2/Makefile] Fout 2 
make[1]: Weggaan uit map `/bestanden/konstruct/kde/kdesdk' 
make: *** [dep-../../kde/kdesdk] Fout 2 
[root@localhost kde]# 
Comment 2 marc vergalle 2004-05-18 17:53:54 EDT
I checked the rams with simmtester and found no errors. So I assume 
is must be the kernel. 
 
Comment 3 Ngo Than 2004-05-19 03:58:55 EDT
Hm, i have built this KDE 3.2.2 without this problem here. Which gcc
version has been installed on your machine.

Why did you build KDE with konstruct in FC2? It's not the same KDE
3.2.2, what we have in FC2!!
Comment 4 marc vergalle 2004-05-21 07:23:30 EDT
Sorry, i used FC1, where kde 3.2.2 is not available.
I'm going to upgrade my system to FC2 and hope the problems will 
cease.
Comment 5 marc vergalle 2004-05-22 03:05:01 EDT
I cannot install Fedora core 2; the installer crashes just before the 
packages are to be installed.
So i have to continue with FC1.

Gcc version is 3.3.2
Comment 6 marc vergalle 2004-05-22 13:45:45 EDT
This morning i used up2date to install new versions of CVS and Kpim.
Then i recompiled again and i noticed konstruct downloaded some new 
files.
Since then, the compilation works just fine and kde 3.2 is now 
running nicely on my system.
Comment 7 Jakub Jelinek 2004-05-25 05:29:24 EDT
When GCC says "The bug is not reproduceable, so it is likely a hardware or OS problem"
it means the bug really is not in GCC but in hw and/or kernel.
So GCC component is wrong.
Comment 8 Arjan van de Ven 2004-05-25 06:55:35 EDT
are you overclocking your system?
can you run memtest86 to test your ram ?
Comment 9 marc vergalle 2004-05-25 07:09:15 EDT
Not overclocking, memtest finds no faults. As stated above, after 
updating some components, everything compiled just fine.
Comment 10 Dave Jones 2004-05-25 08:32:01 EDT
are you running the 2188 errata kernel ?
Comment 11 David Lawrence 2004-09-29 16:27:22 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.